org.apache.xmlbeans.impl.tool

## Class MavenPluginHelp

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.xmlbeans.impl.tool.MavenPluginHelp

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="help",
            requiresProject=false,
            threadSafe=true)
      public class MavenPluginHelp
      extends org.apache.maven.plugin.AbstractMojo

  Display help information on xmlbeans-maven-plugin.
  Call `mvn xmlbeans.plugin:help -Ddetail=true -Dgoal=<goal-name>` to display parameter details.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenPluginHelp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenPluginHelp

          public MavenPluginHelp()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`